Method: projects.locations.spaces.applications.export

Exports Terraform files for an application asynchronously.

HTTP request

POST https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:export

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application.

Request body

The request body contains data with the following structure:

JSON representation
{
  "iacFormat": enum (IACFormat),
  "artifactLocation": {
    object (ArtifactLocation)
  },
  "exportIacConfig": {
    object (ExportIaCConfig)
  }
}
Fields
iacFormat

enum (IACFormat)

Optional. The IaC format to generate.

artifactLocation

object (ArtifactLocation)

Optional. Specifies the destination for the generated IaC, which can be Cloud Storage or a Developer Connect repository.

exportIacConfig

object (ExportIaCConfig)

Optional. Configuration for exporting IaC.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applications.get

For more information, see the IAM documentation.